# Плагин к KODI для Smotrim.ru
[![en](https://img.shields.io/badge/lang-en-green.svg)](./README.md)
[![ru-ru](https://img.shields.io/badge/lang-ru--ru-red.svg)](./README.ru-ru.md)

Этот плагин Kodi предназначен для просмотра видео с сайта
[Smotrim.ru](https://Smotrim.ru). 

Если у вас есть какие-либо вопросы либо пожелания по работе плагина,
пожалуйста, пишите на форум XBMC.ru [тут](http://xbmc.ru/forum/showthread.php?t=23431).

## Совместимость
Этот плагин тестировался на следующих версиях Kodi и операционных системах:
- Kodi Leia под Ubuntu 18.04 LTS.
- Kodi Matrix под Ubuntu 20.04 LTS
- Kodi Matrix на Android v9 Pie
- Kodi Matrix на macOS BigSur 11.1
- Kodi Matrix на Windows 10 

## Установка
1. Скачайте  [этот файл](https://abratchik.github.io/kodi.repository/matrix/repository.abratchik/repository.abratchik-1.0.2.zip)
2. В Kodi перейдите в меню **Система/Дополнения/Установить из zip-файла** и 
   выберите файл, который вы скачали на шаге 1. 
3. Перейдите в меню **Система/Дополнения/Alex Bratchik Kodi repository/
   Видеодополнения**, и установите плагин "Smotrim.ru".
   
Готово :) Наслаждайтесь бесплатными фильмами и сериалами с сайта Smotrim.ru

## Регистрация
Начиная с версии 1.0.18, этот плагин поддерживает регистрацию пользователей 
по номеру мобильного телефона. Чтобы зарегистрироваться, введите номер своего мобильного
в настройках плагина. При первом открытии плагина на экране появится окошко для 
ввода кода, который будет отправлен на ваш момбильный в SMS с сайта Smotrim.ru. 
Введите код из SMS, и нажмите **Готово**.
Если регистрация прошла успешно, то при повторном открытии плагина окно для ввода кода
появляться не будет.

На текущий момент, регистрация тестировалась в основном с российскими номерами.
Заграничные номера могут также работать, но это не гарантируется. Если у вас нет российской
SIM-карты, и регистрация не проходит, то необходимо удалить Ваш номер из настроек плагина.

## Просмотр прямого эфира ТВ 
Начиная с версии 1.1.11, плагин поддерживает потоковое вещание прямого эфира ТВ. Прямые 
телевизионные трансляции доступны только для некоторых каналов, и могут быть недоступны 
за пределами России.

Чтобы просмотреть прямой эфир интересующего Вас канала, откройте плагин и выберите пункт
меню Каналы > [имя_канала] > Эфир. 

### Интеграция с IPTV Manager
Начиная с версии 1.1.15, плагин поддерживает интеграцию с ITPV Manager. Активация 
интеграции осуществляется следующим образом::

1. В настройках плагина Smotrim.ru, откройте заклаку **Интерфейс**. Если IPTV Manager 
   не установлен, выберите опцию **Установить IPTV Manager** и следуйте инструкциям на 
   экране.
2. Если IPTV manager установлен, включите интеграцию в настройках плагина Smotrim.ru.
3. Откройте настройки плагина IPTV Manager. Перейдите на закладку IPTV Simple 
   и убедитесь, что плагин IPTV Simple настраивается через IPTV Manager автоматически.
4. Перейдите на закладку **ТВ каналы**, и выберите **Обновить каналы и программу сейчас**. 
   Процедура обновления может занять 2-3 минуты, в зависимисти от параметров вашей системы 
   и скорости Интернета.

После этого вы должны увидеть список каналов с программой передач в главном меню 
**ТВ** медиацентра Kodi.

## Возможные проблемы с воспроизведением видео
Сайт Smotrim.ru предоставляет потоковое видео в HD-качестве, которое может потребовать 
дополнительной конфигурации системы Kodi для устойчивого воспроизведения и комфортного 
просмотра программ. Если видео у Вас проигрывается не устойчиво, наблюдаются пропуски 
фрагментов, либо же видео вообще не запускается, рекомендуется изменить параметры 
буфера данных медиацентра Kodi следующим образом:

````
memorysize = 41943040
readfactor = 10
````

Эти параметры можно изменить, отредактировав в ручную файл 
[advancedsettings.xml](https://kodi.wiki/view/Advancedsettings.xml#cache). 
Однако намного удобнее будет воспользоваться другим плагином,
[Unlock Advanced Settings](https://github.com/abratchik/script.unlock.advancedsettings),
который вы можете установить из 
[того же репозитория](https://abratchik.github.io/kodi.repository/matrix/repository.abratchik/repository.abratchik-1.0.2.zip),
из которого Вы устанавливали плагин Smotrim.ru.
После установки перейдите на закладку **Буфер данных**, отредактируйте параметры, как указано выше, 
и перезапустите Kodi. После этого проблемы с воспроизведением видео должны исчезнуть.

Некоторые видео могут воспроизводиться некорректно в «автоматическом» режиме выбора 
качества. В этом случае рекомендуется явно задавать качество, соответствующее разрешению
вашего монитора и скорости интернет-соединения:

- fhd-wide (1920x1080)
- hd-wide (1280x720)
- high-wide (960x540)
- high (800x600)
- medium-wide (640x360)
- medium (640x480)  
- low-wide (416x243)
- low (320x240)

## О плагине
Это некоммерческий плагин к платформе Kodi, поддерживаемый Интернет-сообществом, 
для веб-сайта Smotrim.ru.
Он создан для удобства просмотра российских программ на экране телевизора, просто для 
развлечения, и не имеет никакого отношения к компании ВГТРК.

Лицензия: [GPL v.3](http://www.gnu.org/copyleft/gpl.html)
